package com.goafanti.patent.service;

import java.util.List;

import com.goafanti.common.model.PatentNew;
import com.goafanti.common.model.PatentNewLog;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.patent.bo.PatentNewBo;

public interface PatentNewService {

	int addPatenNew(PatentNew p);

	int updatePatenNew(PatentNew p);

	Pagination<PatentNewBo> selectPatentNew(PatentNewBo p,Integer pageSize, Integer pageNo);
	
	List<PatentNew> AllselectStartPatentNew();
	
	
	int addPatenNewLog(PatentNewLog pl);

	List<PatentNew> AllselectEndPatentNew();

}
